---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 281203f2-aeb2-573c-8207-5bdad109d03f
      tier: AATSR_CMP_MONTH
      value: 0.03231540694832802
    brdf:
      alpha_1:
        band_1: 0.17024498724540996
        band_11: 0.3196668240872656
        band_12: 0.28903202820784474
        band_2: 0.17024498724540996
        band_3: 0.2810481777317046
        band_4: 0.2520250162647158
        band_5: 0.2520250162647158
        band_6: 0.2520250162647158
        band_7: 0.7081035600234344
        band_8: 0.7081035600234344
        band_8a: 0.7081035600234344
      alpha_2:
        band_1: 0.25579365415465005
        band_11: 0.19416417344220555
        band_12: 0.22355967827994883
        band_2: 0.25579365415465005
        band_3: 0.284905855767137
        band_4: 0.28673149617608124
        band_5: 0.28673149617608124
        band_6: 0.28673149617608124
        band_7: 0.09327153674064578
        band_8: 0.09327153674064578
        band_8a: 0.09327153674064578
      id:
      - 12ad5066-cbf8-5ee7-9356-0ab2bbe3d9c6
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c3953cf0-93a0-5217-9c2e-babc16fef3be
      tier: DEFINITIVE
      value: 0.267
    water_vapour:
      id:
      - 8c527f59-e0ef-5df1-9028-bf1a0814c3f1
      tier: DEFINITIVE
      value: 1.2199999809265138
  id: 2be042ae-8976-413d-8219-495ee34db8ac
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1919.9425963362207
      BAND-11: 233.7339990972672
      BAND-12: 79.94117595167131
      BAND-2: 1962.4729755825178
      BAND-3: 1837.5708955665086
      BAND-4: 1500.3774441108421
      BAND-5: 1385.041034711705
      BAND-6: 1263.854186776448
      BAND-7: 1156.987253053291
      BAND-8: 1024.7092100595166
      BAND-8A: 934.4540195092101
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2023-05-04 00:03:39.857481Z
    atime: 2023-05-16 10:23:50Z
    ctime: 2023-05-04 05:44:38Z
    mtime: 2023-05-04 05:44:33Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2023/2023-05/20S150E-25S155E/S2A_MSIL1C_20230504T000221_N0509_R030_T56JMT_20230504T024116.zip
  system_information:
    hostname: gadi-cpu-clx-2473.gadi.nci.org.au
    runtime_id: c05fddc8-f3d3-11ed-99e0-00000187fe80
    time_processed: 2023-05-16 10:23:50.945120Z
    uname: 'Linux gadi-cpu-clx-2473.gadi.nci.org.au 4.18.0-425.3.1.el8.nci.x86_64
      #1 SMP Mon Jan 9 11:39:52 AEDT 2023 x86_64'
gqa:
  colors:
    blue: 40.0
    green: 1276.0
    red: 26.0
    teal: 500.0
    yellow: 36.0
  error_message: no errors
  final_qa_count: 1788
  granule: S2A_OPER_MSI_L1C_TL_2APS_20230504T024116_A041068_T56JMT_N05.09
  ref_date: '2014-07-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/089/077/LO80890772014200LGN00_B6.TIF
  residual:
    abs:
      x: 0.48
      xy: 0.57
      y: 0.3
    abs_iterative_mean:
      x: 0.37
      xy: 0.41
      y: 0.18
    cep90: 0.65
    iterative_mean:
      x: 0.35
      xy: 0.37
      y: 0.12
    iterative_stddev:
      x: 0.2
      xy: 0.28
      y: 0.19
    mean:
      x: 0.37
      xy: 0.39
      y: 0.1
    stddev:
      x: 0.98
      xy: 1.3
      y: 0.84
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 40.9873892214655
    cloud: 0.07878874946956031
    cloud_shadow: 0.06663550108841745
    snow: 0.0351392447733235
    water: 58.8320472832032
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 98.37636238764968
    cloud: 1.623637612350324
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.6
...
